using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StoragesContracts;

public interface IAssemblyStorageContract
{
    List<AssemblyViewModel> GetFullList();
    List<AssemblyViewModel> GetFilteredList(AssemblyBindingModel model);
    AssemblyViewModel GetElement(AssemblyBindingModel model);
    AssemblyViewModel Insert(AssemblyBindingModel model);
    AssemblyViewModel Update(AssemblyBindingModel model);
    AssemblyViewModel Delete(AssemblyBindingModel model);
}